#!/bin/bash

# uninstall logic for Tec-Ata Backup STD 6.17.0.2
# The root privilege is required to uninstall the application

###############################################################################
#             S H U T - D O W N                 S E R V I C E S               #
###############################################################################

# Shutdown Scheduler
if [ -e "/Applications/Tec-Ata Backup STD/ipc/Scheduler/running" ]; then
    echo "Shutdown Scheduler for Tec-Ata Backup STD"
    touch "/Applications/Tec-Ata Backup STD/ipc/Scheduler/stop"
    echo "Wait 5 seconds before Scheduler exits"
    sleep 5
fi

# Shutdown AutoUpdateAgent
if [ -e "/Applications/Tec-Ata Backup STD/aua/bin" ]; then
    echo "Shutdown AutoUpdateAgent for Tec-Ata Backup STD"
    sh "/Applications/Tec-Ata Backup STD/aua/bin/shutdown.sh"
    echo "Wait 5 seconds before AutoUpdateAgent exits"
    sleep 5
fi

###############################################################################
#        T A S K K I L L       A L L      J A V A       P R O C E S S         #
###############################################################################

# Kill all running process
sh "/Applications/Tec-Ata Backup STD/bin/taskkill" "/Applications/Tec-Ata Backup STD/BackupManager.app"
sh "/Applications/Tec-Ata Backup STD/bin/taskkill" "/Applications/Tec-Ata Backup STD/bin/BackupManager.app"
sh "/Applications/Tec-Ata Backup STD/bin/taskkill" "/Applications/Tec-Ata Backup STD/jvm/bin/java"
sh "/Applications/Tec-Ata Backup STD/bin/taskkill" "/Applications/Tec-Ata Backup STD/aua/jvm/bin/java"

###############################################################################
#                 R E M O V E                   S E R V I C E S               #
###############################################################################

# Remove Scheduler
if [ -e "/Library/StartupItems/Tec-AtaBackupSTD" ]; then
    echo "Remove Scheduler for Tec-Ata Backup STD from service"
    rm -rf "/Library/StartupItems/Tec-AtaBackupSTD"
fi

# Remove AutoUpdateAgent
if [ -e "/Library/StartupItems/Tec-AtaBackupSTD-AutoUpdate" ]; then
    echo "Remove AutoUpdateAgent for Tec-Ata Backup STD from service"
    rm -rf "/Library/StartupItems/Tec-AtaBackupSTD-AutoUpdate"
fi

###############################################################################
#      R E M O V E        U S E R         D E S K T O P      L I N K          #
###############################################################################

# Remove Desktop Symbolic Link
find /Users -name Desktop -type d -maxdepth 3 -mindepth 2 | while read DESKTOP_PATH;
do
    if [ -e "${DESKTOP_PATH}/Tec-AtaBackupSTD" ]; then
        echo "Remove Desktop Link Tec-AtaBackupSTD from path ${DESKTOP_PATH}"
        rm -f "${DESKTOP_PATH}/Tec-AtaBackupSTD"
        echo "Removed Tec-Ata Backup STD Desktop Link"
    fi

    if [ -e "${DESKTOP_PATH}/Tec-Ata Backup STD" ]; then
        echo "Remove Desktop Link Tec-Ata Backup STD from path ${DESKTOP_PATH}"
        rm -f "${DESKTOP_PATH}/Tec-Ata Backup STD"
        echo "Removed Tec-Ata Backup STD Desktop Link"
    fi
done

###############################################################################
#        R E M O V E           A P P L I C A T I O N           H O M E        #
###############################################################################

# Remove Tec-Ata Backup STD
cd /
if [ -e "/Applications/Tec-Ata Backup STD" ]; then
    echo "Remove Tec-Ata Backup STD from Your Mac OS X"
    rm -rf "/Applications/Tec-Ata Backup STD"
fi

###############################################################################
#        R E M O V E             M A C     O S        R E C E I P T S         #
###############################################################################

# Remove Mac OS X Receipts
if [ -e "/Library/Receipts/acb.pkg" ]; then
    echo "Remove Mac OS X Receipt for acb.pkg (Path: /Library/Receipts/acb.pkg)"
    rm -rf "/Library/Receipts/acb.pkg"
fi
